com.google.gwt.user.cellview.client

## Interface HasDataPresenter.View<T>

- Type Parameters:
    `T` - the data type
  Enclosing class:
    HasDataPresenter<T>

      static interface HasDataPresenter.View<T>

  The view that this presenter presents.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<H extends EventHandler> HandlerRegistration` | `addHandler(H handler, GwtEvent.Type<H> type)` Add a handler to the view.
    `void` | `replaceAllChildren(java.util.List<T> values, SelectionModel<? super T> selectionModel, boolean stealFocus)` Replace all children with the specified values.
    `void` | `replaceChildren(java.util.List<T> values, int start, SelectionModel<? super T> selectionModel, boolean stealFocus)` Replace existing elements starting at the specified index.
    `void` | `resetFocus()` Re-establish focus on an element within the view if the view already had focus.
    `void` | `setKeyboardSelected(int index, boolean selected, boolean stealFocus)` Update an element to reflect its keyboard selected state.
    `void` | `setLoadingState(LoadingStateChangeEvent.LoadingState state)` Set the current loading state of the data.

- - ### Method Detail

    - #### addHandler

          <H extends EventHandler> HandlerRegistration addHandler(H handler,
                                                                  GwtEvent.Type<H> type)

      Add a handler to the view.
      Type Parameters:
        `H` - the handler type
      Parameters:
        `handler` - the handler to add
        `type` - the event type

    - #### replaceAllChildren

          void replaceAllChildren(java.util.List<T> values,
                                  SelectionModel<? super T> selectionModel,
                                  boolean stealFocus)

      Replace all children with the specified values.
      Parameters:
        `values` - the values of the new children
        `selectionModel` - the `SelectionModel`
        `stealFocus` - true if the row should steal focus, false if not

    - #### replaceChildren

          void replaceChildren(java.util.List<T> values,
                               int start,
                               SelectionModel<? super T> selectionModel,
                               boolean stealFocus)

      Replace existing elements starting at the specified index. If the number of children specified exceeds the existing number of children, the remaining children should be appended.
      Parameters:
        `values` - the values of the new children
        `start` - the start index to be replaced, relative to the pageStart
        `selectionModel` - the `SelectionModel`
        `stealFocus` - true if the row should steal focus, false if not

    - #### resetFocus

          void resetFocus()

      Re-establish focus on an element within the view if the view already had focus.

    - #### setKeyboardSelected

          void setKeyboardSelected(int index,
                                   boolean selected,
                                   boolean stealFocus)

      Update an element to reflect its keyboard selected state.
      Parameters:
        `index` - the index of the element relative to page start
        `selected` - true if selected, false if not
        `stealFocus` - true if the row should steal focus, false if not

    - #### setLoadingState

          void setLoadingState(LoadingStateChangeEvent.LoadingState state)

      Set the current loading state of the data.
      Parameters:
        `state` - the loading state